%define glib2_version 2.0.0
%define gtk2_version 2.0.0
%define libgnomeui_version 1.117.1
%define libbonobo_version 1.117.0
%define libbonoboui_version 1.117.0
%define gnome_vfs2_version 1.9.15
%define bonobo_activation_version 0.9.9
%define libgnomecanvas_version 1.117.0
%define libgnomeprint_version 1.113.0
%define libgnomeprintui_version 1.113.0

Summary:        A GTK+ GUI builder.
Name:           glade2
Version:        1.1.0
Release:        2
License:        GPL
URL:            http://glade.gnome.org/
Source:         ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/glade/glade-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Group:          Development/Tools

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: libbonoboui-devel >= %{libbonoboui_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: bonobo-activation-devel >= %{bonobo_activation_version}
BuildRequires: libgnomecanvas-devel >= %{libgnomecanvas_version}
BuildRequires: libgnomeprint-devel >= %{libgnomeprint_version}
BuildRequires: libgnomeprintui-devel >= %{libgnomeprintui_version}

%description
Glade is a free user interface builder for GTK+ and the GNOME GUI
desktop. Glade can produce C source code. Support for C++, Ada95,
Python, and Perl is also available, via external tools which process
the XML interface description files output by GLADE.

The glade2 package contains a version of Glade for GTK+ 2.0.

%prep
%setup -q -n glade-%{version}

%build
%configure --disable-gnome-db 
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS TODO
%{_datadir}/glade-2
%{_datadir}/gnome
%{_datadir}/omf
%{_datadir}/applications
%{_datadir}/pixmaps
%{_bindir}/*

%changelog
* Thu May 23 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May 23 2002 Havoc Pennington <hp@redhat.com>
- move to glade 2, based on glade 1 specfile
